Name: kde
Summary: K Desktop Environment - core
Version: 0.12.2
Release: 1
Source100: ftp.kde.org:/pub/kde/kdesupport.tar.gz
Source101: ftp.kde.org:/pub/kde/kdelibs.tar.gz
Source200: ftp.kde.org:/pub/kde/kdebase.tar.gz
Source300: ftp.kde.org:/pub/kde/kde.tar.gz
Group: X11/K Desktop Environment
Copyright: GPL
BuildRoot: /tmp/kde-core
Requires: qt >= 1.2, libgr

%package devel
Summary: K Desktop Environment - development
Group: X11/K Desktop Environment/Development

%description
KDE provides a complete Graphical User Interface for Unix/Linux 
operating systems.  This package includes shared libraries
and core applications including: kwm, kfm, kdehelp, kvt, and 
kpanel.  For a productive system you should download and install
the other kde rpms. 

%description devel
Header and static libraries which allow you to build your own 
K Desktop Environment applications.

%prep
%setup -T -c -a 100
%setup -T -D -a 101
%setup -T -D -a 200
%setup -T -D -a 300


%build
export KDEDIR=/opt/kde

rm -rf $RPM_BUILD_ROOT

cd kdesupport
./configure --prefix=$RPM_BUILD_ROOT$KDEDIR
make KDEDIR=$KDEDIR
make KDEDIR=$RPM_BUILD_ROOT$KDEDIR install
cd ..

cd kdelibs
./configure --prefix=$RPM_BUILD_ROOT$KDEDIR
make KDEDIR=$KDEDIR
make KDEDIR=$RPM_BUILD_ROOT$KDEDIR install
cd ..

cd kdebase
./configure --prefix=$RPM_BUILD_ROOT$KDEDIR --enable-setuid
make KDEDIR=$KDEDIR
make KDEDIR=$RPM_BUILD_ROOT$KDEDIR install
cd .. 

cd kde
make install
cd .. 

%install
export KDEDIR=/opt/kde

install -c -d -m0755 $RPM_BUILD_ROOT/etc
install -c -d -m0755 $RPM_BUILD_ROOT/etc/profile.d     
install -c -d -m0755 $RPM_BUILD_ROOT/usr
install -c -d -m0755 $RPM_BUILD_ROOT/usr/lib

cd $RPM_BUILD_ROOT$KDEDIR

ln -sf $KDEDIR/lib/libkdecore.so.0 $RPM_BUILD_ROOT/usr/lib/libkdecore.so.0
ln -sf $KDEDIR/lib/libkhtmlw.so.0 $RPM_BUILD_ROOT/usr/lib/libkhtmlw.so.0
ln -sf $KDEDIR/lib/libkdeui.so.0 $RPM_BUILD_ROOT/usr/lib/libkdeui.so.0
ln -sf $KDEDIR/lib/libgif.so.2 $RPM_BUILD_ROOT/usr/lib/libgif.so.2
ln -sf $KDEDIR/lib/libmimelib.so.0 $RPM_BUILD_ROOT/usr/lib/libmimelib.so.0
ln -sf $KDEDIR/lib/libuulib.so.0 $RPM_BUILD_ROOT/usr/lib/libuulib.so.0
ln -sf $KDEDIR/lib/libkfm.so.0 $RPM_BUILD_ROOT/usr/lib/libkfm.so.0
ln -sf $KDEDIR/lib/libjscript.so.0 $RPM_BUILD_ROOT/usr/lib/libjscript.so.0
ln -sf $KDEDIR/lib/libmediatool.so.0 $RPM_BUILD_ROOT/usr/lib/libmediatool.so.0 

rm lib/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc kde/doc/kde kde/doc/README kde/doc/COPYING
%doc kdesupport/doc/kdesupport/
%doc kdelibs/doc/kdelibs/
/opt/kde/apps 
/opt/kde/bin
/opt/kde/config 
/opt/kde/doc
/opt/kde/mimetypes
/opt/kde/lib/*.so*
/opt/kde/lib/kfm
/opt/kde/lib/pics
/opt/kde/share
/etc/profile.d
/usr/lib

%files devel
/opt/kde/include
/opt/kde/lib/*.a
